Skip to main content
GET
/
registry
/
v1
/
agents
/
{agentId}
/
subscribers
List users subscribed to an agent
curl --request GET \
  --url https://api.swarmd.ai/registry/v1/agents/{agentId}/subscribers \
  --header 'Authorization: Bearer <token>'
{
  "content": [
    {
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "subscribedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "page": 123,
  "size": 123,
  "totalElements": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

JWT token (USER, AGENT, or SERVICE auth)

Path Parameters

agentId
string<uuid>
required

Query Parameters

pageable
object
required

Response

200 - */*

OK

content
object[]
page
integer<int32>
size
integer<int32>
totalElements
integer<int64>
totalPages
integer<int32>